openSUSE Security Update : nfs-client (openSUSE-SU-2011:0747-1)

High Nessus Plugin ID 75978


The remote openSUSE host is missing a security update.


This update fixes the following security issues :

When using wildcards in /etc/exports an attacker could gain unauthorized access to an nfs exported filesystem by creating a DNS record that resolves to the attacker's IP as well as to a trusted IP (CVE-2011-2500).

mount.nfs could corrupt /etc/mtab (CVE-2011-1749).


Update the affected nfs-client packages.

See Also

Plugin Details

Severity: High

ID: 75978

File Name: suse_11_4_nfs-client-110701.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nfs-client, p-cpe:/a:novell:opensuse:nfs-client-debuginfo, p-cpe:/a:novell:opensuse:nfs-kernel-server, cpe:/o:novell:opensuse:11.4

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2011/07/01

Reference Information

CVE: CVE-2011-1749, CVE-2011-2500